DERApplicationSpecific (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class DERApplicationSpecific

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.DERApplicationSpecific

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    BERApplicationSpecific

      public class DERApplicationSpecific
      extends ASN1Primitive

  Base class for an application specific object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERApplicationSpecific(boolean explicit, int tag, ASN1Encodable object)`
    `DERApplicationSpecific(int tag, ASN1Encodable object)`
    `DERApplicationSpecific(int tagNo, ASN1EncodableVector vec)`
    `DERApplicationSpecific(int tag, byte[] octets)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getApplicationTag()`
    `byte[]` | `getContents()`
    `static DERApplicationSpecific` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `getObject()` Return the enclosed object assuming explicit tagging.
    `ASN1Primitive` | `getObject(int derTagNo)` Return the enclosed object assuming implicit tagging.
    `int` | `hashCode()`
    `boolean` | `isConstructed()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tag,
                                byte[] octets)

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tag,
                                ASN1Encodable object)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DERApplicationSpecific

          public DERApplicationSpecific(boolean explicit,
                                int tag,
                                ASN1Encodable object)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tagNo,
                                ASN1EncodableVector vec)

  - ### Method Detail

    - #### getInstance

          public static DERApplicationSpecific getInstance(java.lang.Object obj)

    - #### isConstructed

          public boolean isConstructed()

    - #### getContents

          public byte[] getContents()

    - #### getApplicationTag

          public int getApplicationTag()

    - #### getObject

          public ASN1Primitive getObject()
                                  throws java.io.IOException

      Return the enclosed object assuming explicit tagging.
      Returns:
        the resulting object
      Throws:
        `java.io.IOException` - if reconstruction fails.

    - #### getObject

          public ASN1Primitive getObject(int derTagNo)
                                  throws java.io.IOException

      Return the enclosed object assuming implicit tagging.
      Parameters:
        `derTagNo` - the type tag that should be applied to the object's contents.
      Returns:
        the resulting object
      Throws:
        `java.io.IOException` - if reconstruction fails.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`